GWT 2.7.0

## com.google.gwt.dom.builder.client
Class DomFormBuilder

    java.lang.Object
      com.google.gwt.dom.builder.shared.AbstractElementBuilderBase<R>
          com.google.gwt.dom.builder.client.DomElementBuilderBase<FormBuilder,FormElement>
              com.google.gwt.dom.builder.client.DomFormBuilder

All Implemented Interfaces:
  ElementBuilderBase<FormBuilder>, FormBuilder

    public class DomFormBuilder

extends DomElementBuilderBase<FormBuilder,FormElement>
implements FormBuilder

DOM-based implementation of `FormBuilder`.

Constructor Summary
`DomFormBuilder(DomBuilderImpl delegate)`

Method Summary
`FormBuilder` | `acceptCharset(java.lang.String acceptCharset)` List of character sets supported by the server.
`FormBuilder` | `action(SafeUri action)` Server-side form handler.
`FormBuilder` | `action(java.lang.String action)` Server-side form handler.
`FormBuilder` | `enctype(java.lang.String enctype)` The content type of the submitted form, generally "application/x-www-form-urlencoded".
`FormBuilder` | `method(java.lang.String method)` HTTP method [IETF RFC 2616] used to submit form.
`FormBuilder` | `name(java.lang.String name)` Names the form.
`FormBuilder` | `target(java.lang.String target)` Frame to render the resource in.

Methods inherited from class com.google.gwt.dom.builder.client.DomElementBuilderBase

`assertCanAddAttribute, attribute, attribute, className, dir, draggable, getDelegate, id, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, tabIndex, title, trustedStart`

Methods inherited from class com.google.gwt.dom.builder.shared.AbstractElementBuilderBase

`end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, getReturnBuilder, html, isChildElementSupported, isEndTagForbidden, style, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

Constructor Detail

### DomFormBuilder

    DomFormBuilder(DomBuilderImpl delegate)

Method Detail

### acceptCharset

    public FormBuilder acceptCharset(java.lang.String acceptCharset)

  Description copied from interface: `FormBuilder`
  List of character sets supported by the server.

  Specified by:
    `acceptCharset` in interface `FormBuilder`
  See Also:
    W3C HTML Specification

### action

    public FormBuilder action(SafeUri action)

  Description copied from interface: `FormBuilder`
  Server-side form handler.

  Specified by:
    `action` in interface `FormBuilder`
  See Also:
    W3C HTML Specification

### action

    public FormBuilder action(java.lang.String action)

  Description copied from interface: `FormBuilder`
  Server-side form handler.

  Specified by:
    `action` in interface `FormBuilder`
  See Also:
    W3C HTML Specification

### enctype

    public FormBuilder enctype(java.lang.String enctype)

  Description copied from interface: `FormBuilder`
  The content type of the submitted form, generally "application/x-www-form-urlencoded". Note: The onsubmit even handler is not guaranteed to be triggered when invoking this method. The behavior is inconsistent for historical reasons and authors should not rely on a particular one.

  Specified by:
    `enctype` in interface `FormBuilder`
  See Also:
    W3C HTML Specification

### method

    public FormBuilder method(java.lang.String method)

  Description copied from interface: `FormBuilder`
  HTTP method [IETF RFC 2616] used to submit form.

  Specified by:
    `method` in interface `FormBuilder`
  See Also:
    W3C HTML Specification

### name

    public FormBuilder name(java.lang.String name)

  Description copied from interface: `FormBuilder`
  Names the form.

  Specified by:
    `name` in interface `FormBuilder`

### target

    public FormBuilder target(java.lang.String target)

  Description copied from interface: `FormBuilder`
  Frame to render the resource in.

  Specified by:
    `target` in interface `FormBuilder`
  See Also:
    W3C HTML Specification

GWT 2.7.0